- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mysqlpp::SslOption Class Reference

Specialized option for handling SSL parameters. More...

`#include <options.h>`

Inheritance diagram for mysqlpp::SslOption:
[legend]
Collaboration diagram for mysqlpp::SslOption:
[legend]

## Public Member Functions
| SslOption (const char *key=0, const char *cert=0, const char *ca=0, const char *capath=0, const char *cipher=0)
| Create a set of SSL connection option parameters. More...
Public Member Functions inherited from mysqlpp::Option
virtual | ~Option ()
| Destroy object.

## Additional Inherited Members
Public Types inherited from mysqlpp::Option
enum | Error { err_NONE, err_api_limit, err_api_reject, err_connected, err_disconnected }
| Types of option setting errors we can diagnose. More...

## Detailed Description

Specialized option for handling SSL parameters.

## Constructor & Destructor Documentation

mysqlpp::SslOption::SslOption | ( | const char * | key = `0`,
|  | const char * | cert = `0`,
|  | const char * | ca = `0`,
|  | const char * | capath = `0`,
|  | const char * | cipher = `0`
| ) |  |
| inline

Create a set of SSL connection option parameters.

Parameters

  key | the pathname to the key file
  cert | the pathname to the certificate file
  ca | the pathname to the certificate authority file
  capath | directory that contains trusted SSL CA certificates in pem format.
  cipher | list of allowable ciphers to use

This option replaces `Connection::enable_ssl()` from MySQL++ version 2. Now you can set this connection option just like any other.

The documentation for this class was generated from the following file:

- options.h